
git clone https://github.com/QwenLM/Qwen-VL

pip install requests

# REM python download.py

cd Qwen-VL

# REM echo downloading gradio_web_server.py...

python -m pip install --upgrade pip

echo "Composing venv"
if [ ! -d "venv" ]; then
    python -m venv venv
else
    echo "venv folder already exists, skipping making new venv..."
fi
source ./venv/bin/activate

pip install -r requirements.txt
pip install -r requirements_web_demo.txt

pip3 install torch==2.2.0 torchvision torchaudio --extra-index-url https://download.pytorch.org/whl/cu121 --upgrade
pip install bitsandbytes --upgrade
pip install protobuf --upgrade
pip install xformers==0.0.24 --upgrade
pip install auto-gptq
pip install optimum

echo "Installing triton-2.1.0"

pip install triton

echo "Installing requirements"

pip install deepspeed

pip install modelscope==1.11.1 --upgrade
pip install transformers==4.37.2 --upgrade

echo "All install completed. Please verify no errors"
# REM Exit the batch file
read -p "Press enter to continue"
