@echo off

echo please make sure that default Python version is 3.10.x

git clone https://github.com/QwenLM/Qwen-VL

pip install requests

REM python download.py

cd Qwen-VL

REM echo downloading gradio_web_server.py...


python -m pip install --upgrade pip

echo composing venv
IF NOT EXIST venv (
    python -m venv venv
) ELSE (
    echo venv folder already exists, skipping making new venv...
)
call .\venv\Scripts\activate.bat


pip install -r requirements.txt
pip install -r requirements_web_demo.txt


pip3 install torch==2.2.0 torchvision torchaudio --index-url https://download.pytorch.org/whl/cu121 --upgrade
pip install https://github.com/jllllll/bitsandbytes-windows-webui/releases/download/wheels/bitsandbytes-0.41.2.post2-py3-none-win_amd64.whl --upgrade
pip install protobuf --upgrade
pip install xformers==0.0.24 --upgrade
pip install auto-gptq
pip install optimum


echo installing triton-2.1.0

pip install https://huggingface.co/MonsterMMORPG/SECourses/resolve/main/triton-2.1.0-cp310-cp310-win_amd64.whl --upgrade

echo installing requirements

pip install https://huggingface.co/MonsterMMORPG/SECourses/resolve/main/deepspeed-0.11.2_cuda121-cp310-cp310-win_amd64.whl --upgrade

pip install modelscope==1.11.1 --upgrade
pip install transformers==4.37.2 --upgrade

echo all install completed. please verify no errors
REM Exit the batch file
pause
